import { api } from "../api";
import {
  createLabelApi,
  deleteSingleLabelApi,
  getAllLabelApi,
} from "./labelService";

const labelsApiEndpoints = api.injectEndpoints({
  endpoints: (build) => ({
    createLabel: build.mutation({
      queryFn: createLabelApi,
      invalidatesTags: ["Labels"],
    }),
    getAllLabels: build.query({
      queryFn: getAllLabelApi,
      providesTags: ["Labels"],
    }),
    deleteSingleLabel: build.mutation({
      queryFn: deleteSingleLabelApi,
      invalidatesTags: ["Labels"],
    }),
  }),
});

export const {
  useCreateLabelMutation,
  useGetAllLabelsQuery,
  useDeleteSingleLabelMutation,
} = labelsApiEndpoints;
