// icons
import { Icon, IconifyIcon } from "@iconify/react";
// @mui
import { Box, BoxProps, SxProps } from "@mui/material";

// ----------------------------------------------------------------------

interface Props extends BoxProps {
  sx?: SxProps;
  icon: IconifyIcon | string;
  onClick?: (() => void) | undefined;
}

export default function Iconify({ icon, sx, onClick, ...other }: Props) {
  return (
    <Box
      component={Icon}
      icon={icon}
      sx={{
        ...sx,
      }}
      onClick={onClick}
      {...other}
    />
  );
}
