import ReactDOM from "react-dom/client";
import { BrowserRouter } from "react-router-dom";
import { Provider } from "react-redux";
import { HelmetProvider } from "react-helmet-async";
import { Amplify } from "aws-amplify";

import awsExports from "./aws-exports";
import App from "./App";
import { CollapseDrawerProvider } from "./contexts/CollapseDrawerContext";
import { store } from "./store";

// Configure Amplify in index file or root file
Amplify.configure(awsExports);

const root = ReactDOM.createRoot(
  document.getElementById("root") as HTMLElement
);
root.render(
  <HelmetProvider>
    <Provider store={store}>
      <CollapseDrawerProvider>
        <BrowserRouter>
          <App />
        </BrowserRouter>
      </CollapseDrawerProvider>
    </Provider>
  </HelmetProvider>
);
